
  <mat-form-field fxFlex="40%" appearance="outline" color="accent">
    <mat-label>Filter</mat-label>
    <input matInput type="text" (keyup)="doFilter($event.target.value)" placeholder="Filter">
  </mat-form-field>

  <div class="mat-elevation-z8">
    <table mat-table [dataSource]="this.dataSource" matSort >

      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
        <td mat-cell *matCellDef="let playlist"> {{playlist.name}} </td>
      </ng-container>
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Id </th>
        <td mat-cell *matCellDef="let playlist"> {{playlist.id}} </td>
      </ng-container>
      <ng-container matColumnDef="totalPlaytime">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> TotalPlaytime </th>
        <td mat-cell *matCellDef="let playlist"> {{playlist.totalPlaytime * 1000 | date: 'mm:ss'}} </td>
      </ng-container>
      <ng-container matColumnDef="rank">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Rank </th>
        <td mat-cell *matCellDef="let playlist"> {{playlist.rank | number:'.0-2':'en-GB'}} </td>
      </ng-container>

      <ng-container matColumnDef="userName">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> UserName </th>
        <td mat-cell *matCellDef="let playlist"> {{playlist.userName}} </td>
      </ng-container>
      <ng-container matColumnDef="pictureUrl">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Picture </th>
        <td mat-cell *matCellDef="let playlist"> <img [src]="playlist.pictureUrl" style="width:60px; height:60px;"> </td>
      </ng-container>

      <ng-container matColumnDef="tracksCount">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Tracks Count </th>
        <td mat-cell *matCellDef="let playlist"> {{playlist.tracksCount}} </td>
      </ng-container>

      <ng-container matColumnDef="genres">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Genres </th>
        <td mat-cell *matCellDef="let playlist"> {{playlist.genres}} </td>
      </ng-container>

      <ng-container matColumnDef="update">
        <th mat-header-cell *matHeaderCellDef> Update </th>
        <td mat-cell *matCellDef="let playlist">
          <a routerLink="../update/{{playlist.id}}" mat-icon-button color="accent">
            <mat-icon class="mat-18">system_update</mat-icon>
          </a>
        </td>
      </ng-container>

      <ng-container matColumnDef="delete">
        <th mat-header-cell *matHeaderCellDef> Delete </th>
        <td mat-cell *matCellDef="let playlist">
          <button mat-icon-button color="warn" (click)="openPlaylistDeleteDialog(playlist.id)">
            <mat-icon class="mat-18">delete</mat-icon>
          </button>
        </td>
      </ng-container>


      <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
      <tr mat-row *matRowDef="let myRowData; columns: columnsToDisplay"></tr>
    </table>

    <mat-paginator [pageSize]="8" color="accent" [pageSizeOptions]="[3, 5, 8, 10, 20]"></mat-paginator>
  </div>

